## GstTestClock GstTestClock |

## Functions

GstClock * | gst_test_clock_new ()
GstClock * | gst_test_clock_new_with_start_time ()
void | gst_test_clock_set_time ()
void | gst_test_clock_advance_time ()
guint | gst_test_clock_peek_id_count ()
gboolean | gst_test_clock_has_id ()
gboolean | gst_test_clock_peek_next_pending_id ()
void | gst_test_clock_wait_for_next_pending_id ()
void | gst_test_clock_wait_for_pending_id_count ()
GstClockID | gst_test_clock_process_next_clock_id ()
GstClockTime | gst_test_clock_get_next_entry_time ()
void | gst_test_clock_wait_for_multiple_pending_ids ()
GstClockTime | gst_test_clock_id_list_get_latest_time ()
guint | gst_test_clock_process_id_list ()
gboolean | gst_test_clock_crank ()

## Properties

GstClockType | clock-type | Read / Write
guint64 | start-time | Read / Write / Construct Only

## Types and Values

struct | GstTestClock
struct | GstTestClockClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstClock
                    ╰── GstTestClock

## Includes

    #include <gst/check/gsttestclock.h>

## Description

## Functions

### gst_test_clock_new ()

    GstClock *
    gst_test_clock_new (void);

### gst_test_clock_new_with_start_time ()

    GstClock *
    gst_test_clock_new_with_start_time (GstClockTime start_time);

### gst_test_clock_set_time ()

    void
    gst_test_clock_set_time (GstTestClock *test_clock,
                             GstClockTime new_time);

### gst_test_clock_advance_time ()

    void
    gst_test_clock_advance_time (GstTestClock *test_clock,
                                 GstClockTimeDiff delta);

### gst_test_clock_peek_id_count ()

    guint
    gst_test_clock_peek_id_count (GstTestClock *test_clock);

### gst_test_clock_has_id ()

    gboolean
    gst_test_clock_has_id (GstTestClock *test_clock,
                           GstClockID id);

### gst_test_clock_peek_next_pending_id ()

    gboolean
    gst_test_clock_peek_next_pending_id (GstTestClock *test_clock,
                                         GstClockID *pending_id);

### gst_test_clock_wait_for_next_pending_id ()

    void
    gst_test_clock_wait_for_next_pending_id
                                   (GstTestClock *test_clock,
                                    GstClockID *pending_id);

### gst_test_clock_wait_for_pending_id_count ()

    void
    gst_test_clock_wait_for_pending_id_count
                                   (GstTestClock *test_clock,
                                    guint count);

`gst_test_clock_wait_for_pending_id_count` is deprecated and should not be used in newly-written code.

### gst_test_clock_process_next_clock_id ()

    GstClockID
    gst_test_clock_process_next_clock_id (GstTestClock *test_clock);

### gst_test_clock_get_next_entry_time ()

    GstClockTime
    gst_test_clock_get_next_entry_time (GstTestClock *test_clock);

### gst_test_clock_wait_for_multiple_pending_ids ()

    void
    gst_test_clock_wait_for_multiple_pending_ids
                                   (GstTestClock *test_clock,
                                    guint count,
                                    GList **pending_list);

### gst_test_clock_id_list_get_latest_time ()

    GstClockTime
    gst_test_clock_id_list_get_latest_time
                                   (const GList *pending_list);

### gst_test_clock_process_id_list ()

    guint
    gst_test_clock_process_id_list (GstTestClock *test_clock,
                                    const GList *pending_list);

### gst_test_clock_crank ()

    gboolean
    gst_test_clock_crank (GstTestClock *test_clock);

## Types and Values

### struct GstTestClock

    struct GstTestClock;

### struct GstTestClockClass

    struct GstTestClockClass {
      GstClockClass parent_class;
    };

## Property Details

### The `“clock-type”` property

      “clock-type”               GstClockType

The kind of clock implementation to be reported by this clock.

Flags: Read / Write

Default value: GST_CLOCK_TYPE_MONOTONIC

### The `“start-time”` property

      “start-time”               guint64

Start Time of the Clock.

Flags: Read / Write / Construct Only

Default value: 0